Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 172552 - gnome-extra/conduit - new ebuild
Summary: gnome-extra/conduit - new ebuild
Status: RESOLVED WONTFIX
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All All
: Low enhancement with 2 votes (vote)
Assignee: Default Assignee for New Packages
URL: https://wiki.gnome.org/Projects/Conduit
Whiteboard:
Keywords: EBUILD
Depends on: 148532
Blocks:
  Show dependency tree
 
Reported: 2007-03-28 12:57 UTC by Maxxer
Modified: 2015-01-03 08:44 UTC (History)
24 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
Ebuild for version 0.3.0 (conduit-0.3.0.ebuild,568 bytes, text/plain)
2007-05-14 18:05 UTC, Gunther Cronenberg
Details
conduit 0.0.3 ebuild with optional support for evolution (through evolution-python) (conduit-0.3.3.ebuild,724 bytes, text/plain)
2007-09-03 11:29 UTC, Jürgen Geuter
Details
ebuild for dev-python/evolution-python-0.0.3 (evolution-python-0.0.3.ebuild,400 bytes, text/plain)
2007-09-03 11:30 UTC, Jürgen Geuter
Details
Updated gnome-extra/conduit/conduit-0.3.3.ebuild (conduit-0.3.3.ebuild,749 bytes, text/plain)
2007-09-26 00:19 UTC, Matt Enright
Details
gnome-extra/conduit-0.3.5.ebuild (conduit-0.3.5.ebuild,910 bytes, text/plain)
2008-01-15 23:25 UTC, Marco Marzetti
Details
Patch needed to correct firefox libraries path reference (conduit-0.3.5_correct_firefox_path.patch,445 bytes, patch)
2008-01-15 23:27 UTC, Marco Marzetti
Details | Diff
gnome-extra/conduit-0.3.7.ebuild (conduit-0.3.7.ebuild,901 bytes, text/plain)
2008-02-16 19:26 UTC, Marco Marzetti
Details
Patch needed to correct firefox libraries path reference (conduit-0.3.7_correct_firefox_path.patch,450 bytes, patch)
2008-02-16 19:28 UTC, Marco Marzetti
Details | Diff
gnome-extra/conduit-0.3.8.ebuild (conduit-0.3.8.ebuild,901 bytes, text/plain)
2008-02-28 02:47 UTC, Ian Young
Details
Patch needed to correct firefox libraries path reference (conduit-0.3.8_correct_firefox_path.patch,450 bytes, patch)
2008-03-03 01:25 UTC, Marco Marzetti
Details | Diff
gnome-extra/conduit-0.3.9.ebuild (conduit-0.3.9.ebuild,901 bytes, text/plain)
2008-03-20 07:58 UTC, Marco Marzetti
Details
Patch needed to correct firefox libraries path reference (conduit-0.3.9_correct_firefox_path.patch,450 bytes, patch)
2008-03-20 07:59 UTC, Marco Marzetti
Details | Diff
conduit-0.3.11.2.ebuild (conduit-0.3.11.2.ebuild,941 bytes, text/plain)
2008-07-13 18:45 UTC, Christian Schlotter
Details
files/conduit-0.3.11.2_correct_firefox_path.patch (conduit-0.3.11.2_correct_firefox_path.patch,469 bytes, patch)
2008-07-13 18:45 UTC, Christian Schlotter
Details | Diff
conduit-0.3.12.ebuild (conduit-0.3.12.ebuild,901 bytes, text/plain)
2008-07-18 07:26 UTC, Sven Mueller
Details
files/conduit-0.3.12_correct_firefox_path.patch (conduit-0.3.12_correct_firefox_path.patch,471 bytes, patch)
2008-07-18 07:27 UTC, Sven Mueller
Details | Diff
conduit-0.3.13.ebuild (conduit-0.3.13.ebuild,937 bytes, text/plain)
2008-08-05 21:23 UTC, Christian Schlotter
Details
files/conduit-0.3.13_correct_firefox_path.patch (conduit-0.3.13_correct_firefox_path.patch,487 bytes, text/plain)
2008-08-05 21:24 UTC, Christian Schlotter
Details
conduit-0.3.15.ebuild (conduit-0.3.15.ebuild,903 bytes, text/plain)
2008-10-30 09:27 UTC, Maciej Piechotka
Details
conduit-0.3.17.ebuild (conduit-0.3.17.ebuild,2.46 KB, text/plain)
2010-12-11 16:32 UTC, Florian Steinel
Details
files/conduit-0.3.17-non-ASCII-folder-canvas.patch (conduit-0.3.17-non-ASCII-folder-canvas.patch,614 bytes, patch)
2010-12-11 16:38 UTC, Florian Steinel
Details | Diff
files/conduit-0.3.17-programming-error-unicode.patch (conduit-0.3.17-programming-error-unicode.patch,790 bytes, patch)
2010-12-11 16:42 UTC, Florian Steinel
Details | Diff
files/conduit-0.3.17-escaping-caracters.patch (conduit-0.3.17-escaping-caracters.patch,1.28 KB, patch)
2010-12-11 16:43 UTC, Florian Steinel
Details | Diff
files/conduit-0.3.17-rhythmbox-new-path.patch (conduit-0.3.17-rhythmbox-new-path.patch,1.10 KB, patch)
2010-12-11 16:53 UTC, Florian Steinel
Details | Diff
files/conduit-0.3.17-fix-firefox-libraries.patch (conduit-0.3.13_correct_firefox_path.patch,487 bytes, patch)
2010-12-11 16:55 UTC, Florian Steinel
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Maxxer 2007-03-28 12:57:44 UTC
Conduit is a synchronization solution for GNOME which allows the user to take their emails, files, bookmarks, and any other type of personal information and synchronize that data with another computer, an online service, or even another electronic device.

Conduit manages the synchronization and conversion of data into other formats. For example, conduit allows you to;

    * Synchronize your tomboy notes to a file on a remote computer
    * Synchronize your emails to your mobile phone
    * Synchronize your bookmarks to delicious, gmail, or even your own webserver
    * and many more... 

Any combination you can imagine, Conduit will take care of the conversion and synchronization.
Comment 1 Daniel Gryniewicz (RETIRED) gentoo-dev 2007-03-28 14:59:02 UTC
I'll add it when evo support is available.  It's too early now.
Comment 2 Saleem Abdulrasool (RETIRED) gentoo-dev 2007-05-06 20:14:41 UTC
Reopening
Comment 3 Gunther Cronenberg 2007-05-14 18:05:10 UTC
Created attachment 119244 [details]
Ebuild for version 0.3.0

Works for me, but I dont have too much experiences with casting ebuilds.
Comment 4 Gunther Cronenberg 2007-05-14 18:08:13 UTC
This version should also be depending on Bug 148532 - dev-python/vobject.
Comment 5 Saleem Abdulrasool (RETIRED) gentoo-dev 2007-05-22 15:48:07 UTC
FYI, I have all the necessary ebuilds in my overlay at git://compnerd.org/compnerd/overlay.git
Comment 6 teknux 2007-05-29 13:16:23 UTC
successfully installed, but to start i have modified a file:

/usr/lib/python2.4/site-packages/conduit/Settings.py @ line 14:

-import xml.dom.ext
+import xml.dom

any suggestion about it?
Comment 7 Claes Mogren 2007-08-16 12:01:17 UTC
Conduit 0.3.2 is out, with Evolution support: http://www.conduit-project.org/wiki/0.3.2
Comment 8 Claes Mogren 2007-08-21 05:50:36 UTC
Conduit 0.3.3 even.. :-)
http://www.conduit-project.org/wiki/0.3.3
Comment 9 Jürgen Geuter 2007-09-03 11:29:52 UTC
Created attachment 129900 [details]
conduit 0.0.3 ebuild with optional support for evolution (through evolution-python)

conduit 0.0.3 ebuild with optional support for evolution (through evolution-python)
Comment 10 Jürgen Geuter 2007-09-03 11:30:52 UTC
Created attachment 129901 [details]
ebuild for dev-python/evolution-python-0.0.3

ebuild for dev-python/evolution-python-0.0.3 to support evolution as data sink and source in conduit.
Comment 11 Claes Mogren 2007-09-05 06:18:54 UTC
Thanks Jürgen! I've installed the ebuild (without the evolution support) on ~amd64 and everything seems to work.
Comment 12 Matt Enright 2007-09-26 00:19:45 UTC
Created attachment 131909 [details]
Updated gnome-extra/conduit/conduit-0.3.3.ebuild

Ebuild should also depend on dev-python/pyxml; you can compile the program fine but not run it without the xml bindings (xml.dom.ext in particular). Version included is >= 0.8.4, only because thats as far back as I can test it with my tree; older versions may work. Updated ebuild attached (also, version name should be 0.3.3, rather than 0.0.3, probably just a typo).
Comment 13 Priit Laes (IRC: plaes) 2007-12-20 16:28:31 UTC
Few notes:
  1) 0.3.4 is out (but building it fails) ;)
  2) evolution stuff has gone MIA
  3) 0.3.4 has plugins for eog and nautilus (USE gnome?), but it needs patches, as defaults aren't sane enough...
[snip]
if test "x$with_nautilus_extension_dir" = "x" ; then
        ext_dir="~/.nautilus/python-extensions/"
else
        ext_dir="$with_nautilus_extension_dir"
fi
[/snip]

There might be more issues, but as you can see, this project isn't yet mature enough :(
Comment 14 Marco Marzetti 2008-01-15 23:25:32 UTC
Created attachment 141012 [details]
gnome-extra/conduit-0.3.5.ebuild

Ebuild for version 0.3.5

USE flags aviable are:
- nautils = --enable-nautilus-extension
- eog = --enable-eog-plugin

Please notice I'm not a developer, so ebuild should be buggy!
Comment 15 Marco Marzetti 2008-01-15 23:27:25 UTC
Created attachment 141013 [details, diff]
Patch needed to correct firefox libraries path reference
Comment 16 Marco Marzetti 2008-01-15 23:28:16 UTC
(In reply to comment #15)
> Created an attachment (id=141013) [edit]
> Patch needed to correct firefox libraries path reference
> 

Comment 17 Alex Blazh 2008-01-17 10:43:57 UTC
conduit-0.3.6 released
Comment 18 Rémi Cardona (RETIRED) gentoo-dev 2008-01-17 11:08:41 UTC
Alex, conduit 0.3.6 was released less than 12 hours ago ... there's absolutely _no_ need to remind us. We already know, there are mailing lists. Had you posted your message with something actually useful like "the ebuild for 0.3.5 works fine for 0.3.6" then I would have said nothing.

Please don't do that again. Thanks
Comment 19 Marco Marzetti 2008-01-17 19:59:45 UTC
(In reply to comment #17)
> conduit-0.3.6 released
> 

Steps to emerge conduit-0.3.6

- go to ebuild directory ( eg: /usr/portage/local/gnome-extra/conduit/ )
- mv conduit-0.3.5.ebuild conduit-0.3.6.ebuild
- sed -i -e"s/0.3.5/0.3.6/" files/conduit-0.3.5_correct_firefox_path.patch
- ebuild conduit-0.3.6.ebuild manifest
- emerge -u conduit

Done!
Comment 20 Marco Marzetti 2008-02-16 19:26:54 UTC
Created attachment 143685 [details]
gnome-extra/conduit-0.3.7.ebuild

New version released!
Please note the patch below.
Comment 21 Marco Marzetti 2008-02-16 19:28:13 UTC
Created attachment 143687 [details, diff]
Patch needed to correct firefox libraries path reference
Comment 22 Ian Young 2008-02-28 02:47:29 UTC
Created attachment 144806 [details]
gnome-extra/conduit-0.3.8.ebuild

Updated the ebuild for 0.3.8. Now requires pygoocanvas > 0.9.0.
Comment 23 Marco Marzetti 2008-03-03 01:25:48 UTC
Created attachment 145169 [details, diff]
Patch needed to correct firefox libraries path reference

Steps to update patch from version 0.3.7 to 0.3.8

- go to ebuild directory ( eg: /usr/portage/local/gnome-extra/conduit/ )
- sed -e"s/0.3.7/0.3.8/" files/conduit-0.3.7_correct_firefox_path.patch > files/conduit-0.3.8_correct_firefox_path.patch
Comment 24 Marco Marzetti 2008-03-20 07:58:37 UTC
Created attachment 146637 [details]
gnome-extra/conduit-0.3.9.ebuild

Version 0.3.9 has been released!
http://www.conduit-project.org/wiki/0.3.9
Comment 25 Marco Marzetti 2008-03-20 07:59:55 UTC
Created attachment 146638 [details, diff]
Patch needed to correct firefox libraries path reference

Patch needed to correct firefox libraries path reference
Comment 26 Gilles Dartiguelongue gentoo-dev 2008-04-20 08:59:04 UTC
still buggy when transfering files. Hope it gets better.
Comment 27 Leonardo Ferreira Fontenelle 2008-06-22 02:30:42 UTC
conduit 0.3.11.2 was released 2 or 3 weeks ago (in other words: bump)
Comment 28 Christian Schlotter 2008-07-13 18:45:26 UTC
Created attachment 160274 [details]
conduit-0.3.11.2.ebuild

Updated ebuild.
Comment 29 Christian Schlotter 2008-07-13 18:45:53 UTC
Created attachment 160275 [details, diff]
files/conduit-0.3.11.2_correct_firefox_path.patch

Updated patch for conduit 0.3.11.2
Comment 30 Sven Mueller 2008-07-18 07:26:39 UTC
Created attachment 160694 [details]
conduit-0.3.12.ebuild
Comment 31 Sven Mueller 2008-07-18 07:27:48 UTC
Created attachment 160696 [details, diff]
files/conduit-0.3.12_correct_firefox_path.patch
Comment 32 Christian Schlotter 2008-08-05 21:23:28 UTC
Created attachment 162306 [details]
conduit-0.3.13.ebuild

@Sven and all: Please use this ebuild as a base for further improvements. I have cleaned this ebuild up to conform to the Gentoo ebuild "standards".
Comment 33 Christian Schlotter 2008-08-05 21:24:23 UTC
Created attachment 162307 [details]
files/conduit-0.3.13_correct_firefox_path.patch

Also submitted upstream: http://bugzilla.gnome.org/show_bug.cgi?id=546478
Comment 34 Tiziano Müller (RETIRED) gentoo-dev 2008-08-27 11:01:51 UTC
An updated ebuild (0.13.3.1) with fixed python .pyc/.pyo installation is available in my overlay:
http://git.overlays.gentoo.org/gitweb/?p=dev/dev-zero.git;a=tree;f=gnome-extra/conduit;hb=HEAD
Comment 35 Miller Larson 2008-09-01 05:30:04 UTC
(In reply to comment #34)
> An updated ebuild (0.13.3.1) with fixed python .pyc/.pyo installation is
> available in my overlay:
> http://git.overlays.gentoo.org/gitweb/?p=dev/dev-zero.git;a=tree;f=gnome-extra/conduit;hb=HEAD
> 

I believe this ebuild wrongly relies on /usr/bin/true
My system has /bin/true and I think that is the correct location.  Had to create a temporary symlink to allow compilation to complete.
Comment 36 Mieszko Ślusarczyk 2008-09-10 13:44:20 UTC
> I believe this ebuild wrongly relies on /usr/bin/true
> My system has /bin/true and I think that is the correct location.  Had to
> create a temporary symlink to allow compilation to complete.
> 
Thanks for the tip, that helped me;)
Comment 37 Christopher Robin Elmersson 2008-10-01 10:54:23 UTC
New version 0.3.14 out - the ebuild works by just renaming it (the ln -s usr/bin/true /bin/true still needed though).
Comment 38 Maciej Piechotka 2008-10-30 09:27:34 UTC
Created attachment 170299 [details]
conduit-0.3.15.ebuild

A new ebuild
Comment 39 Christian Schlotter 2008-10-30 20:07:11 UTC
(In reply to comment #38)
> Created an attachment (id=170299) [edit]
> conduit-0.3.15.ebuild

Thanks for the update. There is a small typo. Change
>RDEPEND="$(DEPEND)"
to
>RDEPEND="${DEPEND}"

$(...) is bash syntax for executing the contained command.
Comment 40 Gilles Dartiguelongue gentoo-dev 2008-11-30 11:15:43 UTC
align ebuild requests to same values
Comment 41 Lars Strojny 2008-12-29 15:49:35 UTC
The RDEPEND line must be RDEPEND="${DEPEND}", not $(DEPEND)
Comment 42 Florian Steinel 2010-12-11 16:32:47 UTC
Created attachment 256902 [details]
conduit-0.3.17.ebuild

- EAPI 2 for use depends
- use gnome.org eclass for SRC_URI
- use python eclass
- change HOMEPAGE to http://live.gnome.org/Conduit
- Add LICENSE BSD
- Fetch patches from debian
- get DEPEND from debian
Comment 43 Florian Steinel 2010-12-11 16:38:54 UTC
Created attachment 256903 [details, diff]
files/conduit-0.3.17-non-ASCII-folder-canvas.patch

http://bugzilla.gnome.org/show_bug.cgi?id=573014
Comment 44 Florian Steinel 2010-12-11 16:42:03 UTC
Created attachment 256905 [details, diff]
files/conduit-0.3.17-programming-error-unicode.patch

http://bugzilla.gnome.org/show_bug.cgi?id=583823
Comment 45 Florian Steinel 2010-12-11 16:43:37 UTC
Created attachment 256907 [details, diff]
files/conduit-0.3.17-escaping-caracters.patch

http://bugzilla.gnome.org/show_bug.cgi?id=529301
Comment 46 Florian Steinel 2010-12-11 16:53:56 UTC
Created attachment 256908 [details, diff]
files/conduit-0.3.17-rhythmbox-new-path.patch

different fix upstream for next version:
http://git.gnome.org/browse/conduit/commit/?id=26b384a7d056aa30b56c7227e0bbdfb84ca94400
Comment 47 Florian Steinel 2010-12-11 16:55:53 UTC
Created attachment 256910 [details, diff]
files/conduit-0.3.17-fix-firefox-libraries.patch
Comment 48 Gilles Dartiguelongue gentoo-dev 2014-12-27 15:34:23 UTC
The project looks rather dead nowadays.

No new release in years, no activity on mailing list either.
https://mail.gnome.org/archives/conduit-list/index.html#date